Encrypt API for Fund Transfer

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Encrypt API request parameters varies based on the API with which it is used for. This section describes the Encrypt API used with Wallet-to-Wallet Fund Transfer API.

Sandboxpayusandbox-kong.pc.enstage-sas.com/api/v2/encrypt
ProductionContact your WIBMO KAM or support.
Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/api/v2/encrypt \
     --header 'content-type: application/json' \
     --data '
{
  "messageCode": "1680",
  "clientTxnId": "Register_20240408101003",
  "requestDateTime": "20240408101000",
  "senders": [
    {
      "transactionAmount": 525,
      "reserved1": "O|70161",
      "reserved2": "P2M1_W2A_O_UPI",
      "reserved3": "test3"
    }
  ],
  "receivers": [
    {
      "urn": 5,
      "transactionAmount": 525,
      "reserved4": "I|70200",
      "reserved5": "P2P_C2C_I",
      "reserved6": "test"
    }
  ]
}
'
Sample response
{
  "token": "cW3v3Uu4Cx1e+ysfaoqJPmjFFW2rpXBtD7TEn9xyav5OD1V9BXMrgfho5WQMglXa4WJx8WNXOtzeEuWrBG6lf3dDprSAiIw3r8Ri2gWV940rXb3aGrLOB6WqS5ql0+P7u/lytzj6bt5ghSJMygYQdbEVRXmeomq0Mbr0fAjUYmyZdqk2hc19I4nXtCv8anRP7d0L+c6JavnZ6kRWotdrct1kUA+34uT7eLPCz30Exga1HahugaW5lDPOtTrb1d3OJEiUZUbT9uBmIQWCgyqpRrg+QqckxUQhUVdSax56j++pCJ4fqVBuehoaD53bnTAWuRn8V4sWHhsiPs75LUsu/miXMfNOpBVrykFiH28+lvjc/1MyI14RfN82fB4c8cZuI7mV2ThTUN8FIcVFTFqYFPbJ2fQKIo75x21/lzuMqMzrIBtuTL/XKt22K6dclDB2"
}

Request parameters

Body Params
const
enum
required

This parameter must include the API Unique Identifier. Include 1680 for this API.

Allowed:
string
required

This parameter must include an unique ID generated by the calling application for each API request.

string
required

This parameter must contain the request date and time in the YYYYMMDDHHMMSS format, where time is in 24 hour format.

senders
array of objects
required

This parameter must contain the sender name.

senders*
receivers
array of objects
required

This parameter must contain the receiver name.

receivers*
Headers
string
required

This parameter must contain the API key.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!